function cp=TEI(im_op,im_rec)
% ---------
% Author:  Qu Xiao-bo    <qxb_xmu@yahoo.com.cn @163.com>    Feb.12,2009
% Affiliation: Magnetic Resonance and Medical Imaging Research Center,Xiamen University.
%                Dept. of Communication Engineering, Xiamen University.
% website:http://quxiaobo.go.8866.org ,http://quxiaobo.blog.edu.cn 
% Address:Room 509,Research Building 2,Haiyun campus, Xiamen University,  Fujian,P. R. China
% Zip Code:361005
%%

im_op=double(im_op);
im_rec=double(im_rec);
[gA,aA]=get_g_a(im_op);
[gF,aF]=get_g_a(im_rec);
GAF=get2G(gA,gF);
AAF=get2A(aA,aF);
QgAF=getQg(GAF,0.9994,-15,0.5);
QaAF=getQa(AAF,0.9879,-22,0.8);
QAF=getQ(QgAF,QaAF);
a=sum(sum(QAF.*gA));
b=sum(sum(gA));
cp=a/(b+eps);