function res = mtimes(a,b)

if isa(a,'SIDWT') == 0 % Determine whether input is object of given class
    error('In  A.*B only A can be Wavelet operator');
end

if a.adjoint
    %%%%%%%%%%%%%%%%%%
%     res = IWT2_PO(real(b),a.wavScale,a.qmf) + i*IWT2_PO(imag(b),a.wavScale,a.qmf);
%%%%%%%%%%%%%%%%%%
%     res = midwt(real(b),a.qmf,a.wavScale)+ i*midwt(imag(b),a.qmf,a.wavScale);
     %%%%%%%%%%%%%%%%%%
     row_total=sqrt(numel(b)/(a.wavScale*3+1));
     column_total=numel(b)/row_total;
     b=reshape(b,row_total,column_total);
     switch a.complex_yes
         case 1
             size_Y=size(b,2)/(a.wavScale*3+1);
             low=b(:,1:size_Y);
             high=b(:,(size_Y+1):(size_Y*(a.wavScale*3+1)));
             res= mirdwt(real(low),real(high),a.qmf,a.wavScale)+1i*mirdwt(imag(low),imag(high),a.qmf,a.wavScale);
         case 0
             size_Y=size(b,2)/(a.wavScale*3+1);
             low=b(:,1:size_Y);
             high=b(:,(size_Y+1):(size_Y*(a.wavScale*3+1)));
             res= mirdwt(low,high,a.qmf,a.wavScale);
     end
%      res=res(:);
     %%%%%%%%%%%%%%%%%%
else
    %%%%%%%%%%%%%%%%%%
%     res = FWT2_PO(real(b),a.wavScale,a.qmf) + i* FWT2_PO(imag(b),a.wavScale,a.qmf);
%%%%%%%%%%%%%%%%%%
%     res = mdwt(real(b),a.qmf,a.wavScale) + i* mdwt(imag(b),a.qmf,a.wavScale);
    %%%%%%%%%%%%%%%%%%
    b=reshape(b,sqrt(numel(b)),sqrt(numel(b)));
     switch a.complex_yes
         case 1
             [wavelet_coeffs_low_real,wavelet_coeffs_high_real]= mrdwt(real(b),a.qmf,a.wavScale);
             [wavelet_coeffs_low_imag,wavelet_coeffs_high_imag]= mrdwt(imag(b),a.qmf,a.wavScale);
             wavelet_coeffs_low=wavelet_coeffs_low_real+1i*wavelet_coeffs_low_imag;
             wavelet_coeffs_high=wavelet_coeffs_high_real+1i*wavelet_coeffs_high_imag;
             res=[wavelet_coeffs_low wavelet_coeffs_high];
         case 0
             [wavelet_coeffs_low_real,wavelet_coeffs_high_real]= mrdwt(b,a.qmf,a.wavScale);
             res=[wavelet_coeffs_low_real wavelet_coeffs_high_real];
     end
     res=res(:);
    %%%%%%%%%%%%%%%%%%
end

